# newgrf_house.h File Reference

Functions related to NewGRF houses. More...

`#include "newgrf_callbacks.h"`
`#include "tile_cmd.h"`
`#include "house_type.h"`

Go to the source code of this file.

## Data Structures
struct | HouseClassMapping
| Makes class IDs unique to each GRF file. More...
## Enumerations
enum | HouseTrigger { HOUSE_TRIGGER_TILE_LOOP = 0x01, HOUSE_TRIGGER_TILE_LOOP_TOP = 0x02 }
## Functions
HouseClassID | AllocateHouseClassID (byte grf_class_id, uint32 grfid)
void | InitializeBuildingCounts ()
void | IncreaseBuildingCount (Town *t, HouseID house_id)
| IncreaseBuildingCount() Increase the count of a building when it has been added by a town.
void | DecreaseBuildingCount (Town *t, HouseID house_id)
| DecreaseBuildingCount() Decrease the number of a building when it is deleted.
void | DrawNewHouseTile (TileInfo *ti, HouseID house_id)
void | AnimateNewHouseTile (TileIndex tile)
void | ChangeHouseAnimationFrame (const struct GRFFile *file, TileIndex tile, uint16 callback_result)
uint16 | GetHouseCallback (CallbackID callback, uint32 param1, uint32 param2, HouseID house_id, Town *town, TileIndex tile, bool not_yet_constructed=false)
bool | CanDeleteHouse (TileIndex tile)
bool | NewHouseTileLoop (TileIndex tile)
void | TriggerHouse (TileIndex t, HouseTrigger trigger)

## Detailed Description

Functions related to NewGRF houses.

Definition in file newgrf_house.h.

## Function Documentation

void DecreaseBuildingCount | ( | Town * | t,
|  | HouseID | house_id |
| ) |  |  |

DecreaseBuildingCount() Decrease the number of a building when it is deleted.

Parameters:

  | t | The town that the building was built in
  | house_id | The id of the house being removed

Definition at line 85 of file newgrf_house.cpp.

References HouseSpec::class_id, and GRFLoadedFeatures::has_newhouses.

Referenced by DoClearTownHouseHelper().

void IncreaseBuildingCount | ( | Town * | t,
|  | HouseID | house_id |
| ) |  |  |

IncreaseBuildingCount() Increase the count of a building when it has been added by a town.

Parameters:

  | t | The town that the building is being built in
  | house_id | The id of the house being added

Definition at line 64 of file newgrf_house.cpp.

References HouseSpec::class_id, and GRFLoadedFeatures::has_newhouses.

Referenced by ClearMakeHouseTile(), and UpdateHousesAndTowns().